Create S3 integration
curl --request POST \
--url https://api-prod.nomadicml.com/api/cloud-integrations/s3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"access_key_id": "<string>",
"secret_access_key": "<string>",
"bucket": "<string>",
"type": "s3",
"session_token": "<string>",
"region": "<string>",
"endpoint_url": "<string>",
"prefix": "<string>"
}
'import requests
url = "https://api-prod.nomadicml.com/api/cloud-integrations/s3"
payload = {
"name": "<string>",
"access_key_id": "<string>",
"secret_access_key": "<string>",
"bucket": "<string>",
"type": "s3",
"session_token": "<string>",
"region": "<string>",
"endpoint_url": "<string>",
"prefix": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
access_key_id: '<string>',
secret_access_key: '<string>',
bucket: '<string>',
type: 's3',
session_token: '<string>',
region: '<string>',
endpoint_url: '<string>',
prefix: '<string>'
})
};
fetch('https://api-prod.nomadicml.com/api/cloud-integrations/s3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"bucket": "<string>",
"prefix": "<string>",
"region": "<string>",
"endpoint_url": "<string>",
"role_arn": "<string>",
"created_at": "<string>",
"last_used": "<string>",
"is_owner": true
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}Cloud Integrations
Create S3 integration
Create a reusable S3 or S3-compatible storage integration.
POST
/
api
/
cloud-integrations
/
s3
Create S3 integration
Authorizations
bearerAuthapiKeyAuth
Use Authorization: Bearer <NOMADIC_API_KEY>.
Body
application/json
Was this page helpful?
⌘I